org.eclipse.jetty.util

## Class Atomics

- java.lang.Object
- - org.eclipse.jetty.util.Atomics

    public class Atomics
    extends Object

### Method Summary

Methods
`static void` `updateMax(AtomicInteger currentMax, int newValue)`
`static void` `updateMax(AtomicLong currentMax, long newValue)`
`static void` `updateMin(AtomicInteger currentMin, int newValue)`
`static void` `updateMin(AtomicLong currentMin, long newValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### updateMin

    public static void updateMin(AtomicLong currentMin,
                 long newValue)

#### updateMax

    public static void updateMax(AtomicLong currentMax,
                 long newValue)

#### updateMin

    public static void updateMin(AtomicInteger currentMin,
                 int newValue)

#### updateMax

    public static void updateMax(AtomicInteger currentMax,
                 int newValue)